lomiri::api Namespace Reference

Top-level namespace for public functionality of the Lomiri API. More...

## Functions

Version information

Version information is represented as <`major`>.<`minor`>.<`micro`>.

Releases that differ in the major version number are binary incompatible.

Releases that differ in the minor or micro version number are binary compatible with older releases, so client code does not need to be recompiled to use the newer library version.

Changes in the micro version number indicate bug fixes.

Changes in the minor version indicate feature additions that are binary compatible.

int | major_version ()
| Returns the major version number of the Lomiri API library. More...
int | minor_version ()
| Returns the minor version number of the Lomiri API library. More...
int | micro_version ()
| Returns the micro version number of the Lomiri API library. More...
const char * | str ()
| Returns the Lomiri API version as a string in the format <`major`>.<`minor`>.<`micro`>. More...

## Detailed Description

Top-level namespace for public functionality of the Lomiri API.

## Function Documentation

## major_version()

int lomiri::api::major_version | ( |  | ) |

Returns the major version number of the Lomiri API library.

The major version number is also available as the macro `LOMIRI_API_VERSION_MAJOR`.

## micro_version()

int lomiri::api::micro_version | ( |  | ) |

Returns the micro version number of the Lomiri API library.

The micro version number is also available as the macro `LOMIRI_API_VERSION_MICRO`.

## minor_version()

int lomiri::api::minor_version | ( |  | ) |

Returns the minor version number of the Lomiri API library.

The minor version number is also available as the macro `LOMIRI_API_VERSION_MINOR`.

## str()

char const * lomiri::api::str | ( |  | ) |

Returns the Lomiri API version as a string in the format <`major`>.<`minor`>.<`micro`>.

The version string is also available as the macro `LOMIRI_API_VERSION_STRING`.